Subject: Re: bug#36826: 26.1; request: add variable value editing feature to the *Help* buffer

From: ndame <[email-masked]>
Date: Sun, 28 Jul 2019 19:53:57 +0200 (CEST)

> I would say this isn't really needed or that helpful.

Well, I say it's needed and helpful. :)

Not necessarily for basic users, they can use customize, but for advanced users who
know lisp well and prefer setting the values themselves, instead of navigating customize.

I check variable values all the time and I often want to change them, and it's bothersome
to copy the name and the value, when emacs could do it for me. A human should not do
what a computer can do automatically and in this case it's pretty easy for the computer
to read the value and set the variable to it. It could even copy the setting afterwards in
lisp form to the  kill-ring in case the user wants to further experiment with it, or copy
the setting to the init file.

If a variable has a buffer local value then it can ask if I want to set the local or global value.